# QPrintDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractPrintDialog.

### Constructor

- void QPrintDialog(QPrinter printer, QWidget parent)
- void QPrintDialog(QWidget parent)

### Constructor Properties

- prototype: The QPrintDialog prototype object

### Prototype Object Properties

The QPrintDialog prototype object inherits properties from the QAbstractPrintDialog prototype object and also has the following properties.

- void open(QObject receiver, char member)
- void setOption(PrintDialogOption option, bool on)
- bool testOption(PrintDialogOption option)

### Instance Properties

QPrintDialog objects inherit properties from the QPrintDialog prototype object and also have the following properties.

- options